%%
%% This is file `sclbeamer.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% sclbeamer.dtx  (with options: `class')
%% 
%% This is a generated file.
%% 
%% Copyright (C) 2012 by Daniel Wunderlich <school-package@wu-web.de>
%% 
%% This file may be distributed and/or modified under the conditions of
%% the LaTeX Project Public License, either version 1.2 of this license
%% or (at your option) any later version.  The latest version of this
%% license is in:
%% 
%%    http://www.latex-project.org/lppl.txt
%% 
%% and version 1.2 or later is part of all distributions of LaTeX version
%% 1999/12/01 or later.
%% 
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{sclbeamer}
    [2012/12/03 v0.8 Documentclass for generating beamer-slides.]
\RequirePackage{etex}
\RequirePackage{ifthen}
\RequirePackage{kvoptions}
\DeclareStringOption[cmr]{rmfont}    % name of the roman font
\DeclareStringOption[cmss]{sffont}   % name of the sans-serif font
\DeclareStringOption[cmtt]{ttfont}   % name of the sans-serif font

\DeclareBoolOption[true]{beramono}   % use Bera Mono as typewriter
\DeclareBoolOption[false]{lato}      % use lato as sans-serif (same as sffont=fla)
\DeclareBoolOption[false]{palatino}    % use mathpazo
\DeclareBoolOption[true]{sourcesanspro}   % use Source Sans Pro
\DeclareBoolOption[false]{sourcecodepro}   % use Source Code Pro


\DeclareBoolOption[false]{parindent}          % Enable/disable parindent
\DeclareBoolOption[true]{parskip}            % Enable/disable parskip

\DeclareStringOption[0.3\baselineskip]{parskipvalue}       % Value of parskip

\DeclareBoolOption[false]{navigation}          % Enable/disable TOC at beginning of sections

\DeclareBoolOption[false]{sectiontoc}          % Enable/disable TOC at beginning of sections
\DeclareBoolOption[false]{subsectiontoc}       % Enable/disable TOC at beginning of subsections

\DeclareStringOption[img/]{graphicspath} % Path to images
\DeclareStringOption[tikz/]{tikzpath}     % Path to pgf-files (for tikz)

\DeclareBoolOption[true]{commasep}           % Comma as separator
\DeclareStringOption[intlimits]{amsoptions}  % Pass options to amsmath-package

\DeclareStringOption[Aufgabe]{exelabel}
\DeclareStringOption[]{subexelabel}

\DeclareStringOption[\,P]{exepointslabel}
\DeclareStringOption[\,P]{subexepointslabel}
\DeclareStringOption[\,P]{multiexepointslabel}

\DeclareStringOption[]{exepointssep}
\DeclareStringOption[]{subexepointssep}

\DeclareStringOption[[]{exepointsleft}
\DeclareStringOption[{]}]{exepointsright}

\DeclareStringOption[[]{subexepointsleft}
\DeclareStringOption[{]}]{subexepointsright}

\DeclareStringOption[[]{multiexepointsleft}
\DeclareStringOption[{]}]{multiexepointsright}

\DeclareStringOption[]{multiexelabelleft}
\DeclareStringOption[)]{multiexelabelright}

\DeclareStringOption[0.7\baselineskip]{exeskipbefore}
\DeclareStringOption[0.25\baselineskip]{exeskipafter}

\DeclareStringOption[0.4\baselineskip]{subexeskipbefore}
\DeclareStringOption[0\baselineskip]{subexeskipafter}

\DeclareStringOption[L\"osung]{sollabel}
\DeclareStringOption[]{subsollabel}


\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{beamer}%
}

\ProcessOptions         % LaTeX-Basics (for \PassOptionsToClass)
\ProcessKeyvalOptions*  % kvoptions

\LoadClass[xcolor={table, svgnames}, noamsthm]{beamer}

\RequirePackage[T1]{fontenc}
\RequirePackage[utf8]{inputenc}
\RequirePackage[ngerman]{babel}

\RequirePackage{calc}
\RequirePackage{etoolbox}
\RequirePackage{forloop}
\RequirePackage{suffix}

\RequirePackage{booktabs}
\RequirePackage{eurosym}        % Euro-Sign
\RequirePackage[notcomma, notperiod, notquote, notquery]{hanging} % Hanging indention of multiexe
\RequirePackage{multicol}
\RequirePackage{multirow}
\RequirePackage{pifont}
\RequirePackage{tabularx}
\RequirePackage[ugly]{units}
\RequirePackage{xspace}

\RequirePackage{graphicx}
\RequirePackage{subfig}
\RequirePackage{tikz}

\RequirePackage[\sclbeamer@amsoptions]{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsthm}
\RequirePackage{cancel}
\RequirePackage{esvect}
\RequirePackage{polynom}

\RequirePackage{listings}

\RequirePackage{bibgerm}

\RequirePackage{cmbright}

\renewcommand{\rmdefault}{\sclbeamer@rmfont}
\renewcommand{\sfdefault}{\sclbeamer@sffont}
\renewcommand{\ttdefault}{\sclbeamer@ttfont}

\ifthenelse{\boolean{sclbeamer@palatino}}
{%
  \RequirePackage{mathpazo}
  \setkeys{sclbeamer}{rmfont=ppl}
}

\ifthenelse{\equal{\sclbeamer@sffont}{fla} \or \boolean{sclbeamer@lato}}
{%
  \RequirePackage[defaultsans, scale=0.9]{lato}
  \pdfmapfile{+lato.map}
  \setkeys{sclbeamer}{sffont=fla}
}

\ifthenelse{\boolean{sclbeamer@beramono}}
{%
  \RequirePackage[scaled=0.85]{beramono}
}

\ifthenelse{\boolean{sclbeamer@sourcecodepro}}
{%
  \RequirePackage[]{sourcecodepro}
}

\ifthenelse{\boolean{sclbeamer@sourcesanspro}}
{%
  \RequirePackage[scale=0.96]{sourcesanspro}
}

\newcommand{\setpar}
{
  \setlength{\parskip}{\sclbeamer@parskipvalue}

  % Deaktivieren des Absatzabstands in einigen Elementen:
  % Blocküberschriften
\addtobeamertemplate{block begin}{%
\setlength{\parskip}{0em}%
}{%
\setlength{\parskip}{\sclbeamer@parskipvalue}%
\vspace{-\sclbeamer@parskipvalue}%
}

  % Anwendung des Abstands auf Minipages:
  \ifundef{\orig@minipagerestore}{%
  \newcommand{\orig@minipagerestore}{}
  \let\orig@minipagerestore=\@minipagerestore
  \def\@minipagerestore{%
      \setlength{\parskip}{\sclbeamer@parskipvalue}%
  }
}{}
}

\AtBeginDocument{%
\setpar%
}


\ifthenelse{\boolean{sclbeamer@parindent}}%
{%
  \ifthenelse{\boolean{sclbeamer@parskip}}%
  {%
    \setpar%
  }{}%
  \setlength{\parindent}{1em}
}{%
  \ifthenelse{\boolean{sclbeamer@parskip}}%
  {%
    \setpar%
  }{}%
}

\newcommand{\parskipreduce}{%
  \vspace{-\parskip}
}

\usecolortheme{beaver}
\definecolor{wuDarkRed}{RGB}{145, 0, 0}      % Entspricht #910000
\definecolor{wuLightRed}{RGB}{160, 0, 0}     % Entspricht #a00000
\definecolor{wuDarkGray}{RGB}{160, 160, 160}
\definecolor{wuGray}{RGB}{210, 210, 210}
\definecolor{wuLightGray}{RGB}{227, 227, 227}
\definecolor{wuLighterGray}{RGB}{235, 235, 235}

\definecolor{wuBlue}{HTML}{3851FF}

\definecolor{wuGreen}{HTML}{009E0A}

\definecolor{wuOrange}{HTML}{FF8D29}

\definecolor{wuPink}{HTML}{FF5BF8}

\definecolor{wuViolet}{HTML}{9F32CC}

\definecolor{wuTurquoise}{HTML}{3E9DA6}

\definecolor{wuBrown}{HTML}{885704}

\setbeamercolor*{palette primary}{fg=wuLightRed,bg=wuGray}         % Headline rechts, Footline rechts
\setbeamercolor*{palette secondary}{fg=wuLightRed,bg=wuLighterGray}  % Footline mitte
\setbeamercolor*{palette tertiary}{bg=wuDarkGray, fg=white}         % Headline links, Footline links
\setbeamercolor*{palette quaternary}{bg=wuDarkRed, fg=white}

\setbeamercolor*{title in head/foot}{parent=palette quaternary}
\setbeamercolor*{section in head/foot}{parent=palette secondary}
\setbeamercolor*{subsection in head/foot}{parent=palette primary}

\setbeamercolor*{author in head/foot}{parent=palette quaternary}
\setbeamercolor*{institute in head/foot}{parent=palette secondary}
\setbeamercolor*{date in head/foot}{parent=palette primary}

\setbeamerfont*{footline}{size*={6}{0}}
\setbeamerfont*{headline}{size*={6}{0}}

\setbeamertemplate{headline}
{%
  \hbox{%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{title in head/foot}%
    \usebeamerfont{title in head/foot}\vskip1pt\insertshorttitle
  \end{beamercolorbox}%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{section in head/foot}%
    \usebeamerfont{section in head/foot}\vskip1pt\insertsectionhead
  \end{beamercolorbox}%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{subsection in head/foot}%
    \usebeamerfont{subsection in head/foot}\vskip1pt\insertsubsectionhead\hfill

  \end{beamercolorbox}%
  }%
  \vskip0pt%
}

\setbeamertemplate{footline}
{%
  \hbox{%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{author in head/foot}%
    \usebeamerfont{author in head/foot}\vskip1.25pt\hskip0pt\insertshortauthor
  \end{beamercolorbox}%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{institute in head/foot}%
  \end{beamercolorbox}%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,leftskip=1ex]{date in head/foot}%
    \usebeamerfont{date in head/foot}\vskip1.5pt\hskip0pt\insertshortdate{}
  \end{beamercolorbox}%
  }%
  \vskip0pt%
}

\setbeamertemplate{title}[rounded=false]        % Eckiger Titelrahmen
\setbeamercolor{title}{fg=white, bg=wuDarkRed}  % Farben des Titelrahmens

\setbeamercolor{frametitle}{bg=wuLightGray, fg=wuLightRed}

\setbeamertemplate{section in toc}[square]      % Section-Bullet im TOC ändern
\setbeamertemplate{subsection in toc}[square]   % Subsection-Bullet im TOC ändern

\setbeamercolor{section number projected}{fg=white, bg=wuDarkRed}               % Section-Bullet-Farbe im TOC ändern
\setbeamercolor{subsection number projected}{bg=wuDarkRed}  % Subsection-Bullet-Farbe im TOC ändern
\setbeamercolor{subsubsection number projected}{bg=wuDarkRed}  % Subsubsection-Bullet-Farbe im TOC ändern

\setbeamercolor{item}{fg=wuDarkRed}    % Farbe von Bullets aller Art (auch TOC, falls nicht gesondert angegeben!)

\setbeamertemplate{itemize items}{\rule[0.3ex]{0.8ex}{0.8ex}} % Design der Itemize-Bullets
\setbeamertemplate{enumerate items}[default]{\alph{enumi}} % Design Enumerate-Bullet

\setbeamertemplate{enumerate body begin}
  {\renewcommand\theenumii{\theenumi\alph{enumii}}}
\setbeamertemplate{enumerate subitem}{\alph{enumii})}

\setbeamertemplate{enumerate body begin}
  {\renewcommand\theenumiii{\theenumiii\roman{enumiii}}}
\setbeamertemplate{enumerate subsubitem}{\roman{enumiii})}

\setbeamertemplate{blocks}[default]
\setbeamercolor*{block title}{fg=white,bg=wuDarkRed}
\setbeamercolor*{block body}{bg=wuLighterGray}

\setbeamerfont{caption}{size=\footnotesize}
\setbeamercolor{caption}{fg=gray}
\setbeamercolor{caption name}{fg=gray}

\AtBeginDocument{%
\ifthenelse{\boolean{sclbeamer@navigation}}%
{}{%
  \beamertemplatenavigationsymbolsempty
}%
}%

\AtBeginSection[]{%
  \ifthenelse{\boolean{sclbeamer@sectiontoc}}%
  {%
\begin{frame}
  \frametitle{Übersicht}
\tableofcontents[sectionstyle = show/shaded, subsectionstyle = hide/hide/hide]
\end{frame}
}{} % \ifthenelse{\boolean{sclbeamer@sectiontoc}}
} % AtBeginSection

\AtBeginSubsection[]{%
  \ifthenelse{\boolean{sclbeamer@subsectiontoc}}%
  {%
\begin{frame}
  \frametitle{Übersicht}
\tableofcontents[sectionstyle = show/hide, subsectionstyle = show/shaded/hide]
\end{frame}
}{} % \ifthenelse{\boolean{sclbeamer@subsectiontoc}}
}% AtBeginSubsection



\newcommand{\textsfbf}[1]{{\sffamily\bfseries #1}}

\DeclareUnicodeCharacter{20AC}{\euro}

\newcommand{\headrule}{\midrule[\heavyrulewidth]}

\renewcommand{\dh}{d.\,h.\xspace}
\newcommand{\Dh}{D.\,h.\xspace}
\newcommand{\so}{s.\,o.\xspace}
\newcommand{\So}{s.\,o.\xspace}
\newcommand{\su}{s.\,u.\xspace}
\newcommand{\Su}{s.\,u.\xspace}
\newcommand{\ua}{u.\,a.\xspace}
\newcommand{\Ua}{U.\,a.\xspace}
\newcommand{\uU}{u.\,U.\xspace}
\newcommand{\UU}{U.\,U.\xspace}
\newcommand{\zB}{z.\,B.\xspace}
\newcommand{\ZB}{Z.\,B.\xspace}

\newcommand{\fpbox}[2][\linewidth]{%
\fbox{\parbox{#1}{#2}}
}

\AtBeginDocument{
  \graphicspath{\sclbeamer@graphicspath}
}

\usetikzlibrary{fadings}
\usetikzlibrary{calc}
\usetikzlibrary{patterns}

\tikzset{>=stealth}  % Pfeilspitzen anpassen
\tikzset{font=\small}

\newcommand{\tikzinput}[1]{\input{\sclbeamer@tikzpath#1}}

\WithSuffix\newcommand\tikzinput*[1]{%
  \begin{center}
    \input{\sclbeamer@tikzpath#1}
  \end{center}
}

\newcommand{\sclbeamersetup}[1]
{
  \setkeys{sclbeamer}{#1}
}

\newcommand{\sclbeameroption}[2]
{
  \setkeys{sclbeamer}{{#1}={#2}}
}

\newcounter{exercise}
\newcounter{subexercise}[exercise]
\newcounter{multiexecounter}

\newcommand{\exepoints}{}   % For optional number points
\newcommand{\exetext}{}     % Concatenation of the exercise-label
\newcommand{\subexetext}{}  % Concatenation of the subexercise-label

\newcounter{solution}
\newcounter{subsolution}[solution]
\newcounter{multisolcounter}

\newcommand{\soltext}{}     % Concatenation of the exercise-label
\newcommand{\subsoltext}{}  % Concatenation of the subexercise-label

\newcommand{\rstexe}{\setcounter{exercise}{0}}

\newcommand{\exe}[2][]{

  \renewcommand{\exetext}{}

  \ifthenelse{\equal{#1}{\empty}}{
    \renewcommand{\exepoints}{}
  }{
    \renewcommand{\exepoints}{%
      {\footnotesize\mdseries \sclbeamer@exepointsleft#1\sclbeamer@exepointslabel\sclbeamer@exepointsright}%
    }
  }

  \ifthenelse{\equal{#2}{\empty}}
  {
    \ifthenelse{\equal{\sclbeamer@exelabel}{\empty}}
    {
      \renewcommand{\exetext}{}
    }{
      \renewcommand{\exetext}{. \sclbeamer@exelabel}
    }
  }{
    \ifthenelse{\equal{\sclbeamer@exelabel}{\empty}}
    {
      \renewcommand{\exetext}{\hspace{0.3em} #2}
    }{
      \renewcommand{\exetext}{. \sclbeamer@exelabel: \hspace{0.3em} #2}
    }
  }

  \stepcounter{exercise}
  \setcounter{subexercise}{0}

  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}

  \vspace{\sclbeamer@exeskipbefore}\par
  \textbf{\large\arabic{exercise}\exetext}
%%
  \ifthenelse{\equal{\sclbeamer@exepointssep}{\empty}}
  {
    \hfill\exepoints\par
  }{
    \hspace{\sclbeamer@exepointssep}\exepoints\par
  }
%%
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
  \vspace{\sclbeamer@exeskipafter}
}

\newcommand{\subexe}[2][]{

  \renewcommand{\subexetext}{}

  \ifthenelse{\equal{#1}{\empty}}{
    \renewcommand{\exepoints}{}
  }{
    \renewcommand{\exepoints}{%
      {\scriptsize \sclbeamer@subexepointsleft#1\sclbeamer@subexepointslabel\sclbeamer@subexepointsright}%
     }
  }

  \ifthenelse{\equal{#2}{\empty}}
  {
    \ifthenelse{\equal{\sclbeamer@subexelabel}{\empty}}
    {
      \renewcommand{\subexetext}{}
    }{
      \renewcommand{\subexetext}{. \sclbeamer@subexelabel}
    }
  }{
    \ifthenelse{\equal{\sclbeamer@subexelabel}{\empty}}
    {
      \renewcommand{\subexetext}{\hspace{0.3em} #2}
    }{
      \renewcommand{\subexetext}{. \sclbeamer@subexelabel: \hspace{0.3em} #2}
    }
  }

  \stepcounter{subexercise}

  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}

  \par\vspace{\sclbeamer@subexeskipbefore}
  \textbf{\arabic{subexercise}\subexetext}
%%
  \ifthenelse{\equal{\sclbeamer@subexepointssep}{\empty}}
  {
    \hfill\exepoints\par
  }{
    \hspace{\sclbeamer@subexepointssep}\exepoints\par
  }
%%
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
  \vspace{\sclbeamer@subexeskipafter}
}

\newcommand{\sol}[1]{

  \renewcommand{\soltext}{}

  \ifthenelse{\equal{#1}{\empty}}
  {
    \ifthenelse{\equal{\sclbeamer@sollabel}{\empty}}
    {
      \renewcommand{\soltext}{}
    }{
      \renewcommand{\soltext}{. \sclbeamer@sollabel}
    }
  }{
    \ifthenelse{\equal{\sclbeamer@sollabel}{\empty}}
    {
      \renewcommand{\soltext}{\hspace{0.3em} #1}
    }{
      \renewcommand{\soltext}{. \sclbeamer@sollabel: \hspace{0.3em} #1}
    }
  }
  \stepcounter{solution}
  \setcounter{subsolution}{0}

  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}

  \par\vspace{\sclbeamer@exeskipbefore}
  \textbf{\large\arabic{solution}\soltext}
%%
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
  \vspace{\sclbeamer@exeskipafter}
}

\newcommand{\subsol}[1]{

  \renewcommand{\subsoltext}{}

  \ifthenelse{\equal{#1}{\empty}}
  {
    \ifthenelse{\equal{\sclbeamer@subsollabel}{\empty}}
    {
      \renewcommand{\subsoltext}{}
    }{
      \renewcommand{\subsoltext}{. \sclbeamer@subsollabel}
    }
  }{
    \ifthenelse{\equal{\sclbeamer@subsollabel}{\empty}}
    {
      \renewcommand{\subsoltext}{\hspace{0.3em} #1}
    }{
      \renewcommand{\subsoltext}{. \sclbeamer@subsollabel: \hspace{0.3em} #1}
    }
  }

  \stepcounter{subsolution}

  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}

  \par\vspace{\sclbeamer@subexeskipbefore}
  \textbf{\arabic{subsolution}\subsoltext}
%%
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
  \vspace{\sclbeamer@subexeskipafter}
}

\newenvironment{multiexelist}{%
  \setbeamertemplate{enumerate item}{\alph{enumi})}
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
  \begin{enumerate}
}{%
  \end{enumerate}
  \ifthenelse{\boolean{sclbeamer@parskip}}
  {
    \vspace{-\sclbeamer@parskipvalue}
  }{}
}

  \newlength{\@leftcol}
  \newlength{\@rightcol}

\newcommand{\sclbeamer@colalign}{t}

\newenvironment{multicols2r}%
{%
  \begin{multicols}{2}\raggedcolumns
}{%
  \end{multicols}%
}

\newenvironment{multicols3r}%
{%
  \begin{multicols}{3}\raggedcolumns
}{%
  \end{multicols}%
}

\newenvironment{cols2}[1][0.5\linewidth]%
{%
\par
\setlength{\parfillskip}{0em}
  \setlength{\@leftcol}{#1 - 0.5\columnsep}
  \setlength{\@rightcol}{\linewidth - \@leftcol - \columnsep}
  \parskipreduce
  \noindent\begin{minipage}[\sclbeamer@colalign]{\@leftcol}%
  \setpar
  \parskipreduce
}{%
  \end{minipage}%
\par
  \setlength{\parfillskip}{1em plus 1fil}
  \vspace{1.2\multicolsep}
  \parskipreduce
}

\newenvironment{cols2*}[1][0.5\linewidth]%
{%
\renewcommand{\sclbeamer@colalign}{c}
\par
\setlength{\parfillskip}{0em}
  \setlength{\@leftcol}{#1 - 0.5\columnsep}
  \setlength{\@rightcol}{\linewidth - \@leftcol - \columnsep}
  \parskipreduce
  \vspace{1.2\multicolsep} % Erhöht, da bei [t] minipage vorher keinen normalen baselineskip hat.
  \noindent\begin{minipage}[\sclbeamer@colalign]{\@leftcol}%
  \setpar
  \parskipreduce
}{%
  \end{minipage}%
\par
  \setlength{\parfillskip}{1em plus 1fil}
  \vspace{1.2\multicolsep} % Erhöht, da bei [t] minipage vorher keinen normalen baselineskip hat.
  \parskipreduce
\renewcommand{\sclbeamer@colalign}{t}
}

%%
%%
\newcommand{\colbreak}{%
  \end{minipage}\hfill%
  \begin{minipage}[\sclbeamer@colalign]{\@rightcol}%
  \setpar
  \parskipreduce
}


\newcommand{\mathreduce}{%
  \vspace{-\abovedisplayskip}
  \vspace{-0.5\baselineskip}
}

\newcommand{\@filename}{}
\newcommand{\@graphicsoptions}{}

\newenvironment{graphicscol}[3][0.5\linewidth]%
{%
\renewcommand{\@graphicsoptions}{#2}
\renewcommand{\@filename}{#3}
\begin{cols2*}[#1]
}{%
\colbreak
\begin{center}
\expandafter\includegraphics\expandafter[\@graphicsoptions]{\@filename}
\end{center}
\end{cols2*}
}

\newenvironment{graphicscol*}[3][0.5\linewidth]%
{%
\begin{cols2*}[#1]
\begin{center}
\expandafter\includegraphics\expandafter[#2]{#3}
\end{center}
\colbreak
}{%
\end{cols2*}
}

\newenvironment{tikzcol}[2][0.5\linewidth]%
{%
\renewcommand{\@filename}{#2}
\begin{cols2*}[#1]
}{%
\colbreak
\begin{center}
\expandafter\tikzinput\expandafter{\@filename}
\end{center}
\end{cols2*}
}

\newenvironment{tikzcol*}[2][0.5\linewidth]%
{%
\begin{cols2*}[#1]
\begin{center}
\expandafter\tikzinput\expandafter{#2}
\end{center}
\colbreak
}{%
\end{cols2*}
}

\AtBeginDocument{
  \setlength{\abovedisplayskip}{3pt plus 3pt minus 3pt}
  \setlength{\belowdisplayskip}{3pt plus 2pt minus 2pt}
  \setlength{\abovedisplayshortskip}{1pt plus 1pt minus 1pt}
  \setlength{\belowdisplayshortskip}{1pt plus 1pt minus 1pt}
}

\ifthenelse{\boolean{sclbeamer@commasep}}
{
  \RequirePackage{icomma}
}{}

\newcommand{\N}{\ensuremath{\mathbb{N}}}
\newcommand{\Z}{\ensuremath{\mathbb{Z}}}
\newcommand{\Q}{\ensuremath{\mathbb{Q}}}
\newcommand{\R}{\ensuremath{\mathbb{R}}}
\newcommand{\I}{\ensuremath{\mathbb{I}}}
\newcommand{\C}{\ensuremath{\mathbb{C}}}

\renewcommand{\vec}[1]{\vv{#1}}
\newcommand{\vect}[1]{\begin{pmatrix} #1 \end{pmatrix}}

\polyset{style=C, div=:}
\newcommand{\qtext}[1]{\ensuremath{\quad\text{#1}\quad}}
\newcommand{\qqtext}[1]{\ensuremath{\qquad\text{#1}\qquad}}

\newcommand{\msfunit}[2][]{\unit[#1]{\mathsf{#2}}}
\newcommand{\msfunitfrac}[3][]{\unitfrac[#1]{\mathsf{#2}}{\mathsf{#3}}}

\newcommand{\ds}{\ensuremath{\displaystyle}}
\newcommand{\der}{\ensuremath{\ \mathsf{d}}}
\renewcommand{\i}{\ensuremath{\mathsf{i}}}
\newcommand{\sep}{\,\vert\,}

\lstset{%
  aboveskip=0.5\baselineskip,
  belowskip=0.5\baselineskip,
  language=Java,
  basicstyle=\ttfamily\footnotesize,
  keywordstyle=\bfseries,
  stringstyle=\emph,
  numberstyle=\color{gray}\sffamily\scriptsize,
  numbers=left,
  numbersep=8pt,
  frame=leftline,
  captionpos=b,
  tabsize=2,
  showstringspaces=false,
  xleftmargin=1cm,
  xrightmargin=0cm,
  breaklines=true,
  prebreak={\,\,\Pisymbol{psy}{191}},
  escapeinside={/@}{@/},
  lineskip=1pt
}

\endinput
%%
%% End of file `sclbeamer.cls'.
